1. MLB
Playbook-API
  • Global
    • Overview
    • Base URL (Servers)
    • Authentication
    • Rate Limits + Usage
    • Errors
    • League / sportKey Conventions
    • Support
  • Core Endpoints
    • Health
      GET
    • Me
      GET
    • Teams
      GET
    • Live Scores/Games
      GET
    • Team Stats
      GET
    • Injuries
      GET
    • Splits
      GET
    • Splits (Historical/History)
      GET
    • Odds-Games
      GET
    • Lines
      GET
    • Games
      GET
    • Recent Form
      GET
    • Head-to-Head
      GET
  • MLB
    • Pitcher Stats (Season)
      GET
    • Starting Pitchers
      GET
    • Ballpark Weather
      GET
    • Strikeout Predictor
      GET
    • MLB Starting Pitchers
      GET
    • MLB Strikeout Predictor
      GET
    • MLB Pitcher Stats
      GET
    • MLB Ballpark Weather
      GET
  • NFL
    • Roster
    • NFL Team Stats
    • Team vs. Opponent
    • Player vs. Opponent
    • NFL Rosters
    • NFL Team Stats
    • NFL Team vs. Opponent
    • NFL Player vs. Opponent
    • NFL Stadiums
    • NFL IR & Reserve Moves
  • Games & odds
    • Games & IDs
    • Game Lines
    • Games
    • Live Games
  • Player props
    • Player Props
    • Player Prop Splits
  • Betting data
    • Betting Splits
    • Betting Splits History
    • Large Wagers
    • Large Wagers Summary
  • Injuries & teams
    • Injuries
    • Teams
    • Team Stats
  • Form & matchups
    • Recent Form
    • Head-to-Head
  • NBA
    • NBA Roster Moves
  • Account
    • Account & Usage
  • Schemas
    • Error
  1. MLB

Strikeout Predictor

GET
https://api.playbook-api.com/v1/mlb/strikeout-predictor
Last modified:2026-03-02 05:42:32
The MLB Strikeout Predictor endpoint delivers model-generated projected strikeout totals for starting pitchers across upcoming and historical MLB slates.
The endpoint is designed for integration into sports betting tools, daily fantasy platforms, and analytics dashboards. Response fields and historical date access vary by subscription plan.
Examples:
Today's full slate (when in season)
https://api.playbook-api.com/v1/mlb/strikeout-predictor?api_key=YOUR_API_KEY
Historical By Date:
https://api.playbook-api.com/v1/mlb/strikeout-predictor?api_key=YOUR_API_KEY&date=2025-07-04
Historical By Date + Team:
https://api.playbook-api.com/v1/mlb/strikeout-predictor?api_key=YOUR_API_KEY&date=2025-07-04&team=PIT

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.playbook-api.com/v1/mlb/strikeout-predictor?api_key=YOUR_API_KEY&gameId=&pitcher=degrom&teamId=undefined&team=NYM&date=2025-09-15' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
  "league": "MLB",
  "date": "2025-07-04",
  "countGames": 1,
  "countProps": 1,
  "meta": {
    "model": "ks-v1",
    "generatedAt": "2026-03-02T05:28:27.257Z",
    "sourceLastUpdate": "2025-07-04T11:54:46.000Z",
    "statsUpdatedAt": "2026-01-20T04:01:28.478Z",
    "disclaimer": "Projections are model-based estimates. Lines reflect most recently observed sportsbook prop line when available."
  },
  "data": [
    {
      "gameId": "f0e766003c8e7aa2cbe1e077d6af5508",
      "date": "2025-07-04",
      "startTime": "2025-07-04T20:11:00Z",
      "startTimeEt": "4:11 PM ET",
      "homeTeam": {
        "id": "SEA",
        "name": "Seattle Mariners"
      },
      "awayTeam": {
        "id": "PIT",
        "name": "Pittsburgh Pirates"
      },
      "count": 1,
      "props": [
        {
          "side": "home",
          "propLine": {
            "playerName": "Bryan Woo",
            "line": 6.5,
            "lastUpdate": "2025-07-04T11:54:46Z"
          },
          "pitcher": {
            "name": "Bryan Woo",
            "teamId": "SEA",
            "throws": "R",
            "playerKey": "pbk_mlb_p_bryan_woo"
          },
          "opponent": {
            "id": "PIT",
            "name": "Pittsburgh Pirates"
          },
          "model": {
            "projectedKs": 7,
            "confidence": "high",
            "range": [
              5.5,
              8.5
            ],
            "confidenceScore": 100,
            "expectedInnings": 6.2
          },
          "flags": {
            "missingLine": false,
            "opponentKRateFallback": false
          },
          "edge": {
            "diff": 0.5,
            "abs": 0.5,
            "direction": "OVER"
          },
          "inputs": {
            "kPerIp": 1.063,
            "opponentKRate": 0.265,
            "leagueAvgKRate": 0.248,
            "opponentKRateUsed": 0.265
          }
        }
      ]
    }
  ]
}
Modified at 2026-03-02 05:42:32
Previous
Ballpark Weather
Next
MLB Starting Pitchers
Built with